This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 479509 - kpackagekit progress bar is hard to understand
kpackagekit progress bar is hard to understand
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kpackagekit (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Steven M. Parrish
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-10 05:14 EST by Mary Ellen Foster
Modified: 2009-02-04 12:22 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-04 12:22:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 180250 None None None Never

  None (edit)
Description Mary Ellen Foster 2009-01-10 05:14:31 EST
Description of problem:
kpackagekit uses a single progress bar to indicate both download and install progress, and it also seems to indicate download progress by number of packages, not by package size. This makes it a bit difficult to work out what it's doing sometimes -- for example, I didn't initially realise that "40%" really means "download done", and it can often "stick" for a while at 39% if the last package to download is big. I have a couple of suggestions:

- Use a separate progress bar for downloading and installing -- so let it get to 100% downloaded and then start again (with clear UI indication) for the install
- (May be harder) make the downloading progress bar indicate download *size*, not number of packages. (I don't think this is already the case)

Version-Release number of selected component (if applicable):
kpackagekit-0.3.1-9.fc10.i386
Comment 1 Steven M. Parrish 2009-01-10 08:25:16 EST
I went on and reported this upstream for you.  A new release is forthcoming, with many fixes and changes.  Watch this space for updates.

Note You need to log in before you can comment on or make changes to this bug.